<?xml version="1.0" encoding="utf-8"?>
<!-- Aseprite -->
<!-- Copyright (C) 2014-2015 by David Capello -->
<preferences>

  <types>
    <enum id="RightClickMode">
      <value id="DEFAULT" value="0" />
      <value id="PAINT_BGCOLOR" value="0" />
      <value id="PICK_FGCOLOR" value="1" />
      <value id="ERASE" value="2" />
      <value id="SCROLL" value="3" />
    </enum>
    <enum id="OnionskinType">
      <value id="MERGE" value="0" />
      <value id="RED_BLUE_TINT" value="1" />
    </enum>
    <enum id="BrushType">
      <value id="CIRCLE" value="0" />
      <value id="SQUARE" value="1" />
      <value id="LINE" value="2" />
    </enum>
    <enum id="BgType">
      <value id="CHECKED_16x16" value="0" />
      <value id="CHECKED_8x8" value="1" />
      <value id="CHECKED_4x4" value="2" />
      <value id="CHECKED_2x2" value="3" />
    </enum>
    <enum id="StopAtGrid">
      <value id="NEVER" value="0" />
      <value id="IF_VISIBLE" value="1" />
      <value id="ALWAYS" value="2" />
    </enum>
    <enum id="EyedropperChannel">
      <value id="COLOR_ALPHA" value="0" />
      <value id="COLOR" value="1" />
      <value id="ALPHA" value="2" />
      <value id="RGBA" value="3" />
      <value id="RGB" value="4" />
      <value id="HSVA" value="5" />
      <value id="HSV" value="6" />
      <value id="GRAYA" value="7" />
      <value id="GRAY" value="8" />
      <value id="INDEX" value="9" />
    </enum>
    <enum id="EyedropperSample">
      <value id="ALL_LAYERS" value="0" />
      <value id="CURRENT_LAYER" value="1" />
    </enum>
    <enum id="PivotPosition">
      <value id="NORTHWEST" value="0" />
      <value id="NORTH" value="1" />
      <value id="NORTHEAST" value="2" />
      <value id="WEST" value="3" />
      <value id="CENTER" value="4" />
      <value id="EAST" value="5" />
      <value id="SOUTHWEST" value="6" />
      <value id="SOUTH" value="7" />
      <value id="SOUTHEAST" value="8" />
    </enum>
    <enum id="SymmetryMode">
      <value id="NONE" value="0" />
      <value id="HORIZONTAL" value="1" />
      <value id="VERTICAL" value="2" />
    </enum>
  </types>

  <global>
    <section id="general">
      <option id="screen_scale" type="int" default="2" />
      <option id="gpu_acceleration" type="bool" default="false" />
      <option id="visible_timeline" type="bool" default="false" />
      <option id="autoshow_timeline" type="bool" default="true" migrate="Options.AutoShowTimeline" />
      <option id="rewind_on_stop" type="bool" default="false" />
      <option id="expand_menubar_on_mouseover" type="bool" default="false" migrate="Options.ExpandMenuBarOnMouseover" />
      <option id="data_recovery" type="bool" default="true" />
      <option id="data_recovery_period" type="int" default="2" />
    </section>
    <section id="undo" text="Undo">
      <option id="size_limit" type="int" default="64" />
      <option id="goto_modified" type="bool" default="true" />
      <option id="allow_nonlinear_history" type="bool" default="false" />
    </section>
    <section id="editor" text="Editor">
      <option id="zoom_with_wheel" type="bool" default="true" migrate="Options.ZoomWithMouseWheel" />
      <option id="zoom_from_center_with_wheel" type="bool" default="false" />
      <option id="zoom_from_center_with_keys" type="bool" default="false" />
      <option id="show_scrollbars" type="bool" default="true" migrate="Options.ShowScrollbars" />
      <option id="right_click_mode" type="RightClickMode" default="RightClickMode::PAINT_BGCOLOR" migrate="Options.RightClickMode" />
      <option id="auto_select_layer" type="bool" default="false" migrate="Options.AutoSelectLayer" />
      <option id="cursor_color" type="app::Color" default="app::Color::fromMask()" migrate="Tools.CursorColor" />
      <option id="play_once" type="bool" default="false" />
    </section>
    <section id="preview" text="Preview">
      <option id="play_once" type="bool" default="false" />
    </section>
    <section id="theme" text="Theme">
      <option id="selected" type="std::string" default="&quot;default&quot;" migrate="Skin.Selected" />
      <option id="font" type="std::string" migrate="Options.UserFont" />
      <option id="mini_font" type="std::string" migrate="Options.UserMiniFont" />
    </section>
    <section id="experimental" text="Experimental">
      <option id="ui_scale" type="int" default="1" />
      <option id="use_native_cursor" type="bool" default="false" migrate="Options.NativeCursor" />
      <option id="use_native_file_dialog" type="bool" default="false" />
      <option id="flash_layer" type="bool" default="false" migrate="Options.FlashLayer" />
    </section>
    <section id="news">
      <option id="cache_file" type="std::string" />
    </section>
    <section id="color_bar">
      <option id="box_size" type="int" default="11" />
      <option id="fg_color" type="app::Color" default="app::Color::fromRgb(255, 255, 255)" />
      <option id="bg_color" type="app::Color" default="app::Color::fromRgb(0, 0, 0)" />
      <option id="selector" type="app::ColorBar::ColorSelector" default="app::ColorBar::ColorSelector::SPECTRUM" />
      <option id="discrete_wheel" type="bool" default="false" />
      <option id="harmony" type="int" default="0" />
    </section>
    <section id="tool_box">
      <option id="active_tool" type="std::string" default="&quot;pencil&quot;" />
    </section>
    <section id="updater">
      <option id="inits" type="int" default="0" migrate="Updater.Inits" />
      <option id="exits" type="int" default="0" migrate="Updater.Exits" />
      <option id="is_developer" type="bool" default="false" migrate="Updater.IsDeveloper" />
      <option id="wait_days" type="double" default="0.0" migrate="Updater.WaitDays" />
      <option id="last_check" type="int" default="0" migrate="Updater.LastCheck" />
      <option id="uuid" type="std::string" migrate="Updater.Uuid" />
      <option id="new_version" type="std::string" />
      <option id="new_url" type="std::string" />
    </section>
    <section id="brush">
      <option id="pattern" type="doc::BrushPattern" default="doc::BrushPattern::DEFAULT" />
    </section>
    <section id="save_brush">
      <option id="brush_type" type="bool" default="true" />
      <option id="brush_size" type="bool" default="true" />
      <option id="brush_angle" type="bool" default="true" />
      <option id="fg_color" type="bool" default="false" />
      <option id="bg_color" type="bool" default="false" />
      <option id="ink_type" type="bool" default="true" />
      <option id="ink_opacity" type="bool" default="true" />
      <option id="shade" type="bool" default="true" />
      <option id="pixel_perfect" type="bool" default="false" />
    </section>
    <section id="selection">
      <option id="mode" type="app::tools::SelectionMode" default="app::tools::SelectionMode::DEFAULT" />
      <option id="pivot_visibility" type="bool" default="false" />
      <option id="pivot_position" type="PivotPosition" default="PivotPosition::CENTER" />
      <option id="opaque" type="bool" default="false" />
      <option id="auto_opaque" type="bool" default="true" />
      <option id="keep_selection_after_clear" type="bool" default="false" />
      <option id="transparent_color" type="app::Color" />
      <option id="rotation_algorithm" type="app::tools::RotationAlgorithm" default="app::tools::RotationAlgorithm::DEFAULT" />
      <option id="modify_selection_quantity" type="int" default="1" />
      <option id="modify_selection_brush" type="BrushType" default="BrushType::CIRCLE" />
    </section>
    <section id="quantization">
      <option id="with_alpha" type="bool" default="true" />
    </section>
    <section id="eyedropper" text="Editor">
      <option id="channel" type="EyedropperChannel" default="EyedropperChannel::COLOR_ALPHA" />
      <option id="sample" type="EyedropperSample" default="EyedropperSample::ALL_LAYERS" />
    </section>
    <section id="shared">
      <option id="share_ink" type="bool" default="false" />
      <option id="ink" type="app::tools::InkType" default="app::tools::InkType::DEFAULT" />
    </section>
    <section id="new_file">
      <option id="width" type="int" default="32" />
      <option id="height" type="int" default="32" />
      <option id="color_mode" type="doc::PixelFormat" default="doc::IMAGE_RGB" />
      <option id="background_color" type="int" default="0" />
    </section>
    <section id="text_tool">
      <option id="font_face" type="std::string" />
      <option id="font_size" type="int" default="12" />
      <option id="antialias" type="bool" default="false" />
    </section>
    <section id="symmetry_mode">
      <option id="enabled" type="bool" default="false" />
    </section>
  </global>

  <tool>
    <option id="opacity" type="int" default="255" />
    <option id="tolerance" type="int" default="0" />
    <option id="contiguous" type="bool" default="true" />
    <option id="filled" type="bool" default="false" />
    <option id="filled_preview" type="bool" default="false" />
    <option id="ink" type="app::tools::InkType" default="app::tools::InkType::DEFAULT" />
    <option id="freehand_algorithm" type="app::tools::FreehandAlgorithm" default="app::tools::FreehandAlgorithm::DEFAULT" />
    <section id="brush">
      <option id="type" type="BrushType" default="BrushType::CIRCLE" />
      <option id="size" type="int" default="1" />
      <option id="angle" type="int" default="0" />
    </section>
    <section id="spray">
      <option id="width" type="int" default="16" />
      <option id="speed" type="int" default="32" />
    </section>
    <section id="floodfill">
      <option id="stop_at_grid" type="StopAtGrid" default="StopAtGrid::IF_VISIBLE" />
    </section>
  </tool>

  <document>
    <section id="site">
      <option id="frame" type="doc::frame_t" default="doc::frame_t(0)" />
      <option id="layer" type="doc::LayerIndex" />
    </section>
    <section id="tiled">
      <option id="mode" type="filters::TiledMode" default="filters::TiledMode::NONE" migrate="Tools.Tiled" />
    </section>
    <section id="symmetry">
      <option id="mode" type="SymmetryMode" default="SymmetryMode::NONE" />
      <option id="x_axis" type="int" default="0" />
      <option id="y_axis" type="int" default="0" />
    </section>
    <section id="grid">
      <option id="snap" type="bool" default="false" migrate="Grid.SnapTo" />
      <option id="visible" type="bool" default="false" migrate="Grid.Visible" />
      <option id="bounds" type="gfx::Rect" default="gfx::Rect(0, 0, 16, 16)" migrate="Grid.Bounds" />
      <option id="color" type="app::Color" default="app::Color::fromRgb(0, 0, 255)" migrate="Grid.Color" />
      <option id="opacity" type="int" default="160" migrate="Grid.Opacity" />
      <option id="auto_opacity" type="bool" default="true" migrate="Grid.AutoOpacity" />
    </section>
    <section id="pixel_grid">
      <option id="visible" type="bool" default="false" migrate="PixelGrid.Visible" />
      <option id="color" type="app::Color" default="app::Color::fromRgb(200, 200, 200)" migrate="PixelGrid.Color" />
      <option id="opacity" type="int" default="160" migrate="PixelGrid.Opacity" />
      <option id="auto_opacity" type="bool" default="true" migrate="PixelGrid.AutoOpacity" />
    </section>
    <section id="bg">
      <option id="type" type="BgType" default="BgType::CHECKED_16x16" migrate="Option.CheckedBgType" />
      <option id="zoom" type="bool" default="true" migrate="Option.CheckedBgZoom" />
      <option id="color1" type="app::Color" default="app::Color::fromRgb(128, 128, 128)" migrate="Option.CheckedBgColor1" />
      <option id="color2" type="app::Color" default="app::Color::fromRgb(192, 192, 192)" migrate="Option.CheckedBgColor2" />
    </section>
    <section id="onionskin">
      <option id="active" type="bool" default="false" migrate="Onionskin.Enabled" />
      <option id="prev_frames" type="int" default="1" migrate="Onionskin.PrevFrames" />
      <option id="next_frames" type="int" default="1" migrate="Onionskin.NextFrames" />
      <option id="opacity_base" type="int" default="68" migrate="Onionskin.OpacityBase" />
      <option id="opacity_step" type="int" default="28" migrate="Onionskin.OpacityStep" />
      <option id="type" type="OnionskinType" default="OnionskinType::MERGE" migrate="Onionskin.Type" />
      <option id="loop_tag" type="bool" default="true" />
      <option id="current_layer" type="bool" default="false" />
      <option id="position" type="render::OnionskinPosition" default="render::OnionskinPosition::BEHIND" />
    </section>
    <section id="save_copy">
      <option id="filename" type="std::string" />
      <option id="resize_scale" type="double" default="1" />
    </section>
    <section id="sprite_sheet">
      <option id="type" type="app::SpriteSheetType" default="app::SpriteSheetType::None" />
      <option id="columns" type="int" default="0" />
      <option id="rows" type="int" default="0" />
      <option id="width" type="int" default="0" />
      <option id="height" type="int" default="0" />
      <option id="best_fit" type="bool" default="false" />
      <option id="texture_filename" type="std::string" />
      <option id="data_filename" type="std::string" />
      <option id="data_format" type="DocumentExporter::DataFormat" default="DocumentExporter::DefaultDataFormat" />
      <option id="border_padding" type="int" default="0" />
      <option id="shape_padding" type="int" default="0" />
      <option id="inner_padding" type="int" default="0" />
      <option id="open_generated" type="bool" default="false" />
      <option id="layer" type="std::string" />
      <option id="frame_tag" type="std::string" />
      <option id="list_layers" type="bool" default="true" />
      <option id="list_frame_tags" type="bool" default="true" />
    </section>
    <section id="import_sprite_sheet">
      <option id="type" type="app::SpriteSheetType" default="app::SpriteSheetType::Rows" />
      <option id="bounds" type="gfx::Rect" default="gfx::Rect(0, 0, 16, 16)" />
    </section>
  </document>

</preferences>
